Unlink Creative from Campaign
Remove a creative's link to a campaign.
curl -X POST "https://api.5centscdn.com/v2/ad-manager/101/campaigns/cmp_4c19/creatives/crv_9a71/unlink" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.5centscdn.com/v2/ad-manager/101/campaigns/cmp_4c19/creatives/crv_9a71/unlink"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.post(url, headers=headers)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/ad-manager/101/campaigns/cmp_4c19/creatives/crv_9a71/unlink", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/ad-manager/101/campaigns/cmp_4c19/creatives/crv_9a71/unlink", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/ad-manager/101/campaigns/cmp_4c19/creatives/crv_9a71/unlink')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"result": "success"
}
POST
/ad-manager/{pid}/campaigns/{cid}/creatives/{creativeId}/unlinkPOST
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
path
pidinteger
RequiredID of the Ad Manager project.
path
cidstring
RequiredID of the campaign.
path
creativeIdstring
RequiredID of the creative to link or unlink.
Content-Typestring
RequiredThe media type of the request body
Options: application/json
No request body parameters defined
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Path Parameters
Body
application/json
dataobject
RequiredRaw application/json data
Responses
resultstring
Operation outcome.
Allowed values:
successerrorWas this page helpful?